-- Play as a cop variables

-- Thread handles
CallBackupHandle = INVALID_THREAD_HANDLE
RequestVehicleHandle = INVALID_THREAD_HANDLE
USER_INPUT_THREAD_HANDLE = INVALID_THREAD_HANDLE

--[[ COP_TYPE defines the "job" of the player, valid values are :
 - SAINT (no a cop !)
 - COP (regular street cop)
 - PRISON (prison guard) NOT CURRENTLY IMPLEMENTED
 - ULTOR (Ultor security guard)
 - NUKE (Nuke plant security guard) NOT CURRENTLY IMPLEMENTED
 - CIA
]]
COP_TYPE = "SAINT"

COP_TYPES = {} -- Variable declaration, should stay empty
COP_TYPES = { "COP" , "PRISON" , "ULTOR" , "NUKE" , "CIA" } -- These are the types that are really cops

JOB_OUTFIT = {} -- Variable declaration, should stay empty
JOB_OUTFIT = { ["COP"] = "Police Outfit" , ["PRISON"] = "Police Outfit" , ["ULTOR"] = "Ultor security guard outfit" , ["NUKE"] = "Nuke guard outfit" , ["CIA"] = "Fed suit" } -- Outfit that is given to the player

CALL_BACKUP_KEY = 26 -- Key code to call for reinforcements (currently : 26 = horn)
BACKUP_LEVEL_PROMPT_SHOW = false  -- Has the prompt to select reinforcements level already been shown ?
NBPRESS = 0 -- Number of key press for CALL_BACKUP_KEY

START_TRIGGERS = {} -- Variable declaration, should stay empty
START_ZONES = {} -- Variable declaration, should stay empty
-- Triggers for COP go on/off duty
START_TRIGGERS["COP"] = {"playasacop_$start" , "playasacop_7thprecinct_start"}
START_ZONES["COP"] = {"playasacop_$zone" , "playasacop_7thprecinct_start_zone"}
-- Triggers for PRISON go on/off duty
START_TRIGGERS["PRISON"] = {}
START_ZONES["PRISON"] = {}

-- Triggers for ULTOR go on/off duty
START_TRIGGERS["ULTOR"] = {"playasacop_start_ultor1" , "playasacop_start_ultor2" , "playasacop_start_ultor3" , "playasacop_start_ultor4"}
START_ZONES["ULTOR"] =  {"playasacop_zone_ultor1" , "playasacop_zone_ultor2" , "playasacop_zone_ultor3" , "playasacop_zone_ultor4"}

-- Triggers for NUKE go on/off duty
START_TRIGGERS["NUKE"] = { "playasacop_nuke_start" }
START_ZONES["NUKE"] = { "playasacop_nuke_start_zone" }

-- Triggers for CIA go on/off duty
START_TRIGGERS["CIA"] = {"playasacop_CIA_start"}
START_ZONES["CIA"] = {"playasacop_CIA_zone"}

-- Vehicle delivery zones/trigger/vehicles/groups
DELIVERY_LOCATIONS = {} -- Variable declaration, should stay empty
DELIVERY_LOCATIONS = {
	["COP"] = {
		["CAR"] = {},
		["HELI"] = {} ,
		["BOAT"] = {} ,
		["PLANE"] = {}
	},
	["PRISON"] = {
		["CAR"] = {},
		["HELI"] = {} ,
		["BOAT"] = {} ,
		["PLANE"] = {}
	},
	["ULTOR"] = {
		["CAR"] = {},
		["HELI"] = {} ,
		["BOAT"] = {} ,
		["PLANE"] = {}
	},
	["NUKE"] = {
		["CAR"] = {},
		["HELI"] = {} ,
		["BOAT"] = {} ,
		["PLANE"] = {}
	},
	["CIA"] = {
		["CAR"] = {},
		["HELI"] = {} ,
		["BOAT"] = {} ,
		["PLANE"] = {}
	}
}
VEHICLE_DELIVERY = {} -- Variable declaration, should stay empty
VEHICLE_DELIVERY = {
	["COP"] = {},
	["PRISON"] = {},
	["ULTOR"] = {},
	["NUKE"] = {},
	["CIA"] = {}
}
VEHICLE_TYPES = {} -- Variable declaration, should stay empty
VEHICLE_TYPES = { "CAR" , "HELI" , "BOAT" , "PLANE" }


--[[

tables schema :

DELIVERY_LOCATION["JOB"]["VEHICLE_TYPE"]["ZONE"] = "trigger"

where :
 - JOB is cop/ultor/prison/cia ...
 - VEHICLE_TYPE is CAR/HELI/BOAT
 - ZONE is the zone navpoint (for the "Press E" message)
 - trigger is the trigger for the delivery

VEHICLE_DELIVERY[trigger][#]["V"] = "vehicle"
VEHICLE_DELIVERY[trigger][#]["G"] = "group"
VEHICLE_DELIVERY[trigger][#]["T"] = "text"

where :
 - trigger is the calling trigger
 - # is the vehicle number 1-8
 - vehicle as defined in CTS file
 - group as defined in CTS file
 - text as on screen vehicle description
 - V, G and T as letters

]]

-- Police vehicles
DELIVERY_LOCATIONS["COP"]["CAR"] = {
	["playasacop_vehicle_request_zone"] = "playasacop_vehicle_request",
	["playasacop_7thprecinct_car_request_zone"] = "playasacop_7thprecinct_car_request"
}

DELIVERY_LOCATIONS["COP"]["HELI"] =  {
	["playasacop_vehicle_heli_policehq_zone"] = "playasacop_vehicle_heli_policehq_request",
	["playasacop_7thprecinct_heli_request_zone"] = "playasacop_7thprecinct_heli_request"
}

DELIVERY_LOCATIONS["COP"]["BOAT"] = {
	["playasacop_policehq_boat_request_zone"] = "playasacop_policehq_boat_request"
}

DELIVERY_LOCATIONS["COP"]["PLANE"] = {
}

VEHICLE_DELIVERY["COP"]["playasacop_vehicle_request"] = {
	[1] = {
		["V"] = "playasacop_copcar" ,
		["G"] = "playasacop_delivery_copcar" ,
		["T"] = "patrol car"
	},
	[2] = {
		["V"] = "playasacop_fedcar",
		["G"] = "playasacop_delivery_fedcar",
		["T"] = "federal agent sedan"
	},
	[3] = {
		["V"] = "playasacop_apc",
		["G"] = "playasacop_delivery_apc",
		["T"] = "SWAT APC"
	},
	[4] = {
		["V"] = "playasacop_metermaid",
		["G"] = "playasacop_delivery_metermaid",
		["T"] = "parking enforcement cart"
	},
	[5] = {
		["V"] = "playasacop_fbi",
		["G"] = "playasacop_delivery_fbi",
		["T"] = "FBI SUV"
	},
	[6] = {
		["V"] = "playasacop_bike",
		["G"] = "playasacop_delivery_bike",
		["T"] = "police bike"
	},
	[7] = {
		["V"] = "playasacop_swat",
		["G"] = "playasacop_delivery_swat",
		["T"] = "SWAT truck"
	}
}

VEHICLE_DELIVERY["COP"]["playasacop_vehicle_heli_policehq_request"] = {
	[1] = {
		["V"] = "playasacop_heli_policehq_tornado",
		["G"] = "playasacop_vehicle_delivery_policehq_tornado",
		["T"] = "attack helicopter"
	},
	[2] = {
		["V"] = "playasacop_heli_policehq_oppressor",
		["G"] = "playasacop_vehicle_delivery_policehq_oppressor",
		["T"] = "regular helicopter"	
	}
}

VEHICLE_DELIVERY["COP"]["playasacop_policehq_boat_request"] = {
	[1] = {
		["V"] = "playasacop_policehq_miami",
		["G"] = "playasacop_policehq_miami_group",
		["T"] = "police boat"
	},
	[2] = {
		["V"] = "playasacop_policehq_shark",
		["G"] = "playasacop_policehq_shark_group",
		["T"] = "police jet-ski"	
	}
}

VEHICLE_DELIVERY["COP"]["playasacop_7thprecinct_car_request"] = {
	[1] = {
		["V"] = "playasacop_7thprecinct_copcar" ,
		["G"] = "playasacop_7thprecinct_copcar_group" ,
		["T"] = "patrol car"
	},
	[2] = {
		["V"] = "playasacop_7thprecinct_fedcar",
		["G"] = "playasacop_7thprecinct_fedcar_group",
		["T"] = "federal agent sedan"
	},
	[3] = {
		["V"] = "playasacop_7thprecinct_apc",
		["G"] = "playasacop_7thprecinct_apc_group",
		["T"] = "SWAT APC"
	},
	[4] = {
		["V"] = "playasacop_7thprecinct_metermaid",
		["G"] = "playasacop_7thprecinct_metermaid_group",
		["T"] = "parking enforcement cart"
	},
	[5] = {
		["V"] = "playasacop_7thprecinct_fbi",
		["G"] = "playasacop_7thprecinct_fbi_group",
		["T"] = "FBI SUV"
	},
	[6] = {
		["V"] = "playasacop_7thprecinct_bike",
		["G"] = "playasacop_7thprecinct_bike_group",
		["T"] = "police bike"
	},
	[7] = {
		["V"] = "playasacop_7thprecinct_swat",
		["G"] = "playasacop_7thprecinct_swat_group",
		["T"] = "SWAT truck"
	}
}

VEHICLE_DELIVERY["COP"]["playasacop_7thprecinct_heli_request"] = {
	[1] = {
		["V"] = "playasacop_7thprecinct_tornado",
		["G"] = "playasacop_7thprecinct_tornado_group",
		["T"] = "attack helicopter"
	},
	[2] = {
		["V"] = "playasacop_7thprecinct_oppressor",
		["G"] = "playasacop_7thprecinct_oppressor_group",
		["T"] = "regular helicopter"	
	}
}




-- Ultor vehicles
DELIVERY_LOCATIONS["ULTOR"]["CAR"] = {
	["playasacop_vehicle_request_zone_ultor1"] = "playasacop_vehicle_request_ultor1",
	["playasacop_vehicle_request_zone_ultor2"] = "playasacop_vehicle_request_ultor2"
}

DELIVERY_LOCATIONS["ULTOR"]["HELI"] =  {
	["playasacop_vehicle_heli_ultor_zone"] = "playasacop_vehicle_heli_ultor_request"
}

DELIVERY_LOCATIONS["ULTOR"]["BOAT"] = {
	["playasacop_ultor_boat_request_zone"] = "playasacop_ultor_boat_request"
}

DELIVERY_LOCATIONS["ULTOR"]["PLANE"] = {
}


VEHICLE_DELIVERY["ULTOR"]["playasacop_vehicle_heli_ultor_request"] = {
	[1] = {
		["V"] = "playasacop_heli_ultor_tornado",
		["G"] = "playasacop_vehicle_delivery_ultor_tornado",
		["T"] = "attack helicopter"
	},
	[2] = {
		["V"] = "playasacop_heli_ultor_oppressor",
		["G"] = "playasacop_vehicle_delivery_ultor_oppressor",
		["T"] = "regular helicopter"
	}
}
	
VEHICLE_DELIVERY["ULTOR"]["playasacop_vehicle_request_ultor1"] = {
	[1] = {
		["V"] = "playasacop_copcar_ultor1",
		["G"] = "playasacop_delivery_copcar_ultor1",
		["T"] = "security guard patrol car"
	},
	[2] = {
		["V"] = "playasacop_apc_ultor1",
		["G"] = "playasacop_delivery_apc_ultor1",
		["T"] = "Masako APC"
	},
	[3] = {
		["V"] = "playasacop_nukecar_ultor1",
		["G"] = "playasacop_delivery_nukecar_ultor1",
		["T"] = "nuke plant patrol car"
	},
	[4] = {
		["V"] = "playasacop_fbi_ultor1",
		["G"] = "playasacop_delivery_fbi_ultor1",
		["T"] = "security guard SUV"
	},
	[5] = {
		["V"] = "playasacop_swat_ultor1",
		["G"] = "playasacop_delivery_swat_ultor1",
		["T"] = "Masako truck"
	},
	[6] = {
		["V"] = "playasacop_atv_ultor1",
		["G"] = "playasacop_delivery_atv_ultor1",
		["T"] = "security guard ATV"
	}
}

VEHICLE_DELIVERY["ULTOR"]["playasacop_vehicle_request_ultor2"] = {
	[1] = {
		["V"] = "playasacop_copcar_ultor2",
		["G"] = "playasacop_delivery_copcar_ultor2",
		["T"] = "security guard patrol car"
	},
	[2] = {
		["V"] = "playasacop_apc_ultor2",
		["G"] = "playasacop_delivery_apc_ultor2",
		["T"] = "Masako APC"
	},
	[3] = {
		["V"] = "playasacop_nukecar_ultor2",
		["G"] = "playasacop_delivery_nukecar_ultor2",
		["T"] = "nuke plant patrol car"
	},
	[4] = {
		["V"] = "playasacop_fbi_ultor2",
		["G"] = "playasacop_delivery_fbi_ultor2",
		["T"] = "security guard SUV"
	},
	[5] = {
		["V"] = "playasacop_swat_ultor2",
		["G"] = "playasacop_delivery_swat_ultor2",
		["T"] = "Masako truck"
	},
	[6] = {
		["V"] = "playasacop_atv_ultor2",
		["G"] = "playasacop_delivery_atv_ultor2",
		["T"] = "security guard ATV"
	}
}

VEHICLE_DELIVERY["ULTOR"]["playasacop_ultor_boat_request"] = {
	[1] = {
		["V"] = "playasacop_ultor_miami",
		["G"] = "playasacop_ultor_miami_group",
		["T"] = "boat"
	}
}

DELIVERY_LOCATIONS["PRISON"]["CAR"] = {

}
DELIVERY_LOCATIONS["PRISON"]["HELI"] =  {

}
DELIVERY_LOCATIONS["PRISON"]["BOAT"] = {

}
DELIVERY_LOCATIONS["PRISON"]["PLANE"] = {

}

DELIVERY_LOCATIONS["NUKE"]["CAR"] = {
	["playasacop_nuke_car_request_zone"] = "playasacop_nuke_car_request"
}

DELIVERY_LOCATIONS["NUKE"]["HELI"] =  {
	["playasacop_nuke_heli_request_zone"] = "playasacop_nuke_heli_request"
}

DELIVERY_LOCATIONS["NUKE"]["BOAT"] = {
	["playasacop_nuke_boat_request1_zone"] = "playasacop_nuke_boat_request1",
	["playasacop_nuke_boat_request2_zone"] = "playasacop_nuke_boat_request2",
	["playasacop_nuke_boat_request3_zone"] = "playasacop_nuke_boat_request3",
}

DELIVERY_LOCATIONS["NUKE"]["PLANE"] = {

}

VEHICLE_DELIVERY["NUKE"]["playasacop_nuke_car_request"] = {
	[1] = {
		["V"] = "playasacop_nuke_nukecar",
		["G"] = "playasacop_nuke_nukecar_group",
		["T"] = "nuke plant patrol car"
	},
	[2] = {
		["V"] = "playasacop_nuke_apc",
		["G"] = "playasacop_nuke_apc_group",
		["T"] = "Masako APC"
	},
	[3] = {
		["V"] = "playasacop_nuke_ultorcar",
		["G"] = "playasacop_nuke_ultorcar_group",
		["T"] = "Ultor security guard patrol car"
	},
	[4] = {
		["V"] = "playasacop_nuke_fbi",
		["G"] = "playasacop_nuke_fbi_group",
		["T"] = "security guard SUV"
	},
	[5] = {
		["V"] = "playasacop_nuke_swat",
		["G"] = "playasacop_nuke_swat_group",
		["T"] = "Masako truck"
	},
	[6] = {
		["V"] = "playasacop_nuke_atv",
		["G"] = "playasacop_nuke_atv_group",
		["T"] = "security guard ATV"
	}
}

VEHICLE_DELIVERY["NUKE"]["playasacop_nuke_heli_request"] = {
	[1] = {
		["V"] = "playasacop_nuke_tornado",
		["G"] = "playasacop_nuke_tornado_group",
		["T"] = "attack helicopter"
	},
	[2] = {
		["V"] = "playasacop_nuke_oppressor",
		["G"] = "playasacop_nuke_oppressor_group",
		["T"] = "regular helicopter"
	}
}

VEHICLE_DELIVERY["NUKE"]["playasacop_nuke_boat_request1"] = {
	[1] = {
		["V"] = "playasacop_nuke_miami1",
		["G"] = "playasacop_nuke_miami1_group",
		["T"] = "boat"
	}
}

VEHICLE_DELIVERY["NUKE"]["playasacop_nuke_boat_request2"] = {
	[1] = {
		["V"] = "playasacop_nuke_miami2+3",
		["G"] = "playasacop_nuke_miami2+3_group",
		["T"] = "boat"
	}
}

VEHICLE_DELIVERY["NUKE"]["playasacop_nuke_boat_request3"] = {
	[1] = {
		["V"] = "playasacop_nuke_miami2+3",
		["G"] = "playasacop_nuke_miami2+3_group",
		["T"] = "boat"
	}
}

DELIVERY_LOCATIONS["CIA"]["CAR"] = {
	["playasacop_CIA_car_request_zone"] = "playasacop_CIA_car_request"
}

DELIVERY_LOCATIONS["CIA"]["HELI"] =  {
	["playasacop_CIA_heli_request_zone"] = "playasacop_CIA_heli_request"
}

DELIVERY_LOCATIONS["CIA"]["BOAT"] = {

}

DELIVERY_LOCATIONS["CIA"]["PLANE"] = {

}

VEHICLE_DELIVERY["CIA"]["playasacop_CIA_car_request"] = {
	[1] = {
		["V"] = "playasacop_car_CIA_sedan",
		["G"] = "playasacop_car_CIA_sedan_group",
		["T"] = "Federal agent sedan"
	}
}

VEHICLE_DELIVERY["CIA"]["playasacop_CIA_heli_request"] = {
	[1] = {
		["V"] = "playasacop_heli_CIA_oppressor",
		["G"] = "playasacop_heli_CIA_oppressor_group",
		["T"] = "Unmarked black helicopter"
	}
}


VEHICLE_SPAWN_WANTS_INPUT = false
VEHICLE_SPAWN_MAX_NUM = 0
WHICH_VEHICLE_SPAWN = ""
CALL_BACKUP_WANTS_INPUT = false
PLAYASACOP_DEBUG = false

--FIREEXTGROUP = "playasacop_policehq_fireexts"
